------------
-- WARLOCK --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "WARLOCK") then
    return;
end


Watcher.classDefaults["WARLOCK"] = {
    ["newDefaultDate"] = 1415069608;
    ["priorityLists"] = {
        [1] = {
            ["name"] = "Affliction";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 980;
                };
                [2] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 172;
                };
                [3] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 30108;
                };
                [4] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 48181;
                };
                [5] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 48181;
                };
                [6] = {
                    ["filterSetId"] = 5;
                    ["spellId"] = 103103;
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 1;
                    ["filterType"] = "spec";
                };
            };
        };
        [2] = {
            ["name"] = "Demonology";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 40;
                    ["spellId"] = 172;
                };
                [2] = {
                    ["spellId"] = 603;
                    ["filterSetId"] = 44;
                };
                [3] = {
                    ["filterSetId"] = 36;
                    ["spellId"] = 103964;
                };
                [4] = {
                    ["filterSetId"] = 38;
                    ["spellId"] = 6353;
                };
                [5] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 103964;
                };
                [6] = {
                    ["spellId"] = 103958;
                    ["filterSetId"] = 48;
                };
                [7] = {
                    ["spellId"] = 1454;
                    ["filterSetId"] = 46;
                };
                [8] = {
                    ["filterSetId"] = 41;
                    ["spellId"] = 105174;
                };
                [9] = {
                    ["filterSetId"] = 42;
                    ["spellId"] = 105174;
                };
                [10] = {
                    ["filterSetId"] = 39;
                    ["spellId"] = 6353;
                };
                [11] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 686;
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 2;
                    ["filterType"] = "spec";
                };
            };
        };
        [3] = {
            ["name"] = "Destruction";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 17877;
                };
                [2] = {
                    ["filterSetId"] = 18;
                    ["spellId"] = 17877;
                };
                [3] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 348;
                };
                [4] = {
                    ["filterSetId"] = 24;
                    ["spellId"] = 17962;
                };
                [5] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 116858;
                };
                [6] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 116858;
                };
                [7] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 348;
                };
                [8] = {
                    ["filterSetId"] = 25;
                    ["spellId"] = 104232;
                };
                [9] = {
                    ["filterSetId"] = 23;
                    ["spellId"] = 17962;
                };
                [10] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 29722;
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 3;
                    ["filterType"] = "spec";
                };
            };
        };
    };
    ["version"] = 2;
    ["spells"] = {
        [348] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
                [19] = true;
                [22] = true;
            };
        };
        [603] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [43] = true;
                [44] = true;
            };
        };
        [1454] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [45] = true;
                [46] = true;
            };
        };
        [103958] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [47] = true;
                [48] = true;
            };
        };
        [17962] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [23] = true;
                [24] = true;
            };
        };
        [116858] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [21] = true;
                [13] = true;
                [20] = true;
            };
        };
        [103964] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [30] = true;
                [36] = true;
            };
        };
        [112927] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [31] = true;
                [33] = true;
            };
        };
        [980] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
                [7] = true;
            };
        };
        [686] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [28] = true;
            };
        };
        [172] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [8] = true;
                [2] = true;
                [40] = true;
            };
        };
        [104232] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [15] = true;
                [25] = true;
            };
        };
        [48181] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [11] = true;
                [10] = true;
                [4] = true;
            };
        };
        [17877] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [18] = true;
                [17] = true;
                [12] = true;
            };
        };
        [105174] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [42] = true;
                [41] = true;
                [26] = true;
            };
        };
        [30108] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [9] = true;
            };
        };
        [6353] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [27] = true;
                [39] = true;
                [38] = true;
            };
        };
        [103103] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
                [6] = true;
            };
        };
        [29722] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
            };
        };
        [30146] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [32] = true;
                [34] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 980;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 172;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 30108;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 48181;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 103103;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 103103;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 980;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Agony";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 7;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 172;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Corruption";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 5;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 30108;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Unstable Affliction";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 4;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["name"] = "Don't Overcap";
            ["spellId"] = 48181;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Haunt";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 7;
                    ["relationship"] = "Equals";
                    ["value"] = 4;
                    ["filterType"] = "secondaryResource";
                };
                [4] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Haunt";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 1;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["name"] = "During Dark Soul";
            ["spellId"] = 48181;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dark Soul: Misery";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Haunt";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 1;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 17877;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 116858;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 348;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 104232;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 29722;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["name"] = "Below 20% and 3.5 BE";
            ["spellId"] = 17877;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 14;
                    ["relationship"] = "At Least";
                    ["value"] = 3;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["name"] = "Below 20% and Dark Soul";
            ["spellId"] = 17877;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 20;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dark Soul: Instability";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["name"] = "If Missing";
            ["spellId"] = 348;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Immolate";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 1;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["name"] = "3.5 Embers";
            ["spellId"] = 116858;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 14;
                    ["relationship"] = "At Least";
                    ["value"] = 3.5;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["name"] = "Dark Soul";
            ["spellId"] = 116858;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dark Soul: Instability";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["name"] = "Keep Debuff Up";
            ["spellId"] = 348;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Immolate";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 5;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [23] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 17962;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [24] = {
            ["settings"] = {};
            ["name"] = "2 Charges";
            ["spellId"] = 17962;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["numCharges"] = 2;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [25] = {
            ["settings"] = {};
            ["name"] = "If Not Active";
            ["spellId"] = 104232;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rain of Fire";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [26] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 105174;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [27] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 6353;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [28] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 686;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [30] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 103964;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [31] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 112927;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [32] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 30146;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [33] = {
            ["settings"] = {};
            ["name"] = "If Supremacy";
            ["spellId"] = 112927;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19293;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [34] = {
            ["settings"] = {};
            ["name"] = "No Supremacy";
            ["spellId"] = 30146;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19293;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [36] = {
            ["settings"] = {};
            ["name"] = "Refresh Corruption";
            ["spellId"] = 103964;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Corruption";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 6;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["value"] = "normal";
                    ["relationship"] = "At Least";
                    ["filterType"] = "classification";
                };
            };
        };
        [38] = {
            ["settings"] = {};
            ["name"] = "Demonform w/ Molten Core";
            ["spellId"] = 6353;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Molten Core";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Metamorphosis";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [39] = {
            ["settings"] = {};
            ["name"] = "Don't Overcap";
            ["spellId"] = 6353;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Molten Core";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = true;
                    ["stackCount"] = 4;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [40] = {
            ["settings"] = {};
            ["name"] = "Keep DoT Up";
            ["spellId"] = 172;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Corruption";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 5;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [41] = {
            ["settings"] = {};
            ["name"] = "Don't Cap Charges";
            ["spellId"] = 105174;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["numCharges"] = 2;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [42] = {
            ["settings"] = {};
            ["name"] = "Refresh";
            ["spellId"] = 105174;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Hand of Gul'dan";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 3;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [43] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 603;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [44] = {
            ["settings"] = {};
            ["name"] = "When Metamorphosis";
            ["spellId"] = 603;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Doom";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 18;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [45] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 1454;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [46] = {
            ["settings"] = {};
            ["name"] = "Low Mana";
            ["spellId"] = 1454;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 20;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [47] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 103958;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [48] = {
            ["settings"] = {};
            ["name"] = "Don't Overcap Fury";
            ["spellId"] = 103958;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 15;
                    ["relationship"] = "At Least";
                    ["value"] = 90;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
    };
};
